Index: sources/app/src/main/java/parkup/controllers/ParkingSessionController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -3,5 +3,4 @@
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
-import parkup.data.Tablicka;
 import parkup.entities.ParkingSession;
 import parkup.services.ParkingSessionService;
Index: sources/app/src/main/java/parkup/controllers/ParkingZoneController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingZoneController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/controllers/ParkingZoneController.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -53,5 +53,5 @@
         return this.parkingZoneService.updateParkingZone(parkingZoneId, parkingZone.getPzName(), parkingZone.getPrice(),
                 parkingZone.getAddress(), parkingZone.getTime_from(), parkingZone.getTime_to(), parkingZone.getColor(),
-                parkingZone.getParkingSpaces(), parkingZone.getParkingZoneLocation(),parkingZone.getOdgovorniLica());
+                parkingZone.getParkingSpaces(), parkingZone.getParkingZoneLocation(),parkingZone.getResponsibleWorkers());
 
     }
Index: sources/app/src/main/java/parkup/controllers/RegistriranParkiracController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/RegistriranParkiracController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/controllers/RegistriranParkiracController.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -8,26 +8,26 @@
 import parkup.configs.RegistrationRequest;
 import parkup.configs.RegistrationServiceRP;
-import parkup.entities.RegistriranParkirac;
-import parkup.services.RegistriranParkiracService;
+import parkup.entities.RegisteredUser;
+import parkup.services.RegisteredUserService;
 
 @RestController
 public class RegistriranParkiracController {
-    private final RegistriranParkiracService registriranParkiracService;
+    private final RegisteredUserService registeredUserService;
     private final RegistrationServiceRP registrationServiceRP;
 
     @Autowired
-    public RegistriranParkiracController(RegistriranParkiracService registriranParkiracService, RegistrationServiceRP registrationServiceRP) {
-        this.registriranParkiracService = registriranParkiracService;
+    public RegistriranParkiracController(RegisteredUserService registeredUserService, RegistrationServiceRP registrationServiceRP) {
+        this.registeredUserService = registeredUserService;
         this.registrationServiceRP = registrationServiceRP;
     }
 
     @GetMapping({"/registriranParkirac"})
-    public List<RegistriranParkirac> getAllRegistriraniParkiraci() {
-        return this.registriranParkiracService.getRegPark();
+    public List<RegisteredUser> getAllRegistriraniParkiraci() {
+        return this.registeredUserService.getRegPark();
     }
 
     @GetMapping({"/registriranParkirac/{regParkId}"})
-    public RegistriranParkirac getRegistriranParkirac(@PathVariable int regParkId) {
-        RegistriranParkirac regPark = this.registriranParkiracService.findById(regParkId);
+    public RegisteredUser getRegistriranParkirac(@PathVariable int regParkId) {
+        RegisteredUser regPark = this.registeredUserService.findById(regParkId);
         if (regPark != null) {
             return regPark;
@@ -38,16 +38,16 @@
 
     @PostMapping({"/registriranParkirac"})
-    public Optional<RegistriranParkirac> addRegistriranParkirac(@RequestBody RegistriranParkirac regPark) {
-        return this.registriranParkiracService.addRegPark(regPark);
+    public Optional<RegisteredUser> addRegistriranParkirac(@RequestBody RegisteredUser regPark) {
+        return this.registeredUserService.addRegPark(regPark);
     }
 
     @PutMapping({"/registriranParkirac/{regParkId}"})
-    public RegistriranParkirac updateRegistriranParkirac(@PathVariable int regParkId, @RequestBody RegistriranParkirac regPark) {
-        return this.registriranParkiracService.updateRegPark(regParkId, regPark.getName(), regPark.getSurname(), regPark.getMobile(), regPark.getEmail(),regPark.getRegTablicki());
+    public RegisteredUser updateRegistriranParkirac(@PathVariable int regParkId, @RequestBody RegisteredUser regPark) {
+        return this.registeredUserService.updateRegPark(regParkId, regPark.getName(), regPark.getSurname(), regPark.getMobile(), regPark.getEmail(),regPark.getPlates());
     }
 
     @DeleteMapping({"/registriranParkirac/{regParkId}"})
-    public Optional<RegistriranParkirac> deleteRegistriranParkirac(@PathVariable int regParkId) {
-        return this.registriranParkiracService.deleteRegPark(regParkId);
+    public Optional<RegisteredUser> deleteRegistriranParkirac(@PathVariable int regParkId) {
+        return this.registeredUserService.deleteRegPark(regParkId);
     }
 
Index: sources/app/src/main/java/parkup/controllers/VrabotenController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -3,34 +3,32 @@
 import java.util.List;
 import java.util.Optional;
-import java.util.stream.Collectors;
 
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
-import parkup.configs.RegistrationRequest;
 //import parkup.configs.RegistrationServiceW;
-import parkup.data.AddUpdateVraboten;
-import parkup.data.enumarations.EmployeeStatus;
-import parkup.entities.Vraboten;
-import parkup.services.VrabotenService;
-import parkup.data.VrabotenDemo;
+import parkup.data.AddUpdateWorker;
+import parkup.data.WorkerDemoParkingZones;
+import parkup.entities.Worker;
+import parkup.services.WorkerService;
+import parkup.data.WorkerDemo;
 
 @RestController
 public class VrabotenController {
-    private final VrabotenService vrabotenService;
+    private final WorkerService workerService;
 //    private final RegistrationServiceW registrationServiceW;
 
     @Autowired
-    public VrabotenController(VrabotenService vrabotenService) {
-        this.vrabotenService = vrabotenService;
+    public VrabotenController(WorkerService workerService) {
+        this.workerService = workerService;
     }
 
     @GetMapping({"/vraboten"})
-    public List<Vraboten> getAllVraboten() {
-        return this.vrabotenService.getVraboteni();
+    public List<Worker> getAllVraboten() {
+        return this.workerService.getWorkers();
     }
 
     @GetMapping({"/vraboten/{vrabotenId}"})
-    public Vraboten getVraboten(@PathVariable int vrabotenId) {
-        Vraboten vraboten = this.vrabotenService.findById(vrabotenId);
+    public WorkerDemoParkingZones getVraboten(@PathVariable int vrabotenId) {
+        WorkerDemoParkingZones vraboten = this.workerService.findById(vrabotenId);
         if (vraboten != null) {
             return vraboten;
@@ -41,11 +39,11 @@
 
     @GetMapping({"/vraboten/vrabotenDemo"})
-    public List<VrabotenDemo> getVraboteniDemos(){
-        return this.vrabotenService.getAllVraboteniDemos();
+    public List<WorkerDemo> getVraboteniDemos(){
+        return this.workerService.getAllVraboteniDemos();
     }
 
     @PostMapping({"/vraboten"})
-    public Optional<Vraboten> addVraboten(@RequestBody AddUpdateVraboten vraboten) {
-        return this.vrabotenService.addVraboten(vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
+    public Optional<Worker> addVraboten(@RequestBody AddUpdateWorker vraboten) {
+        return this.workerService.addWorker(vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
                 vraboten.getMobileNumber(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
     }
@@ -53,5 +51,5 @@
     @PutMapping({"/vraboten/lock/{vrabotenId}"})
     public void lockVraboten(@PathVariable int vrabotenId) {
-        this.vrabotenService.lockVrabotenAcc(vrabotenId);
+        this.workerService.lockWorkerAcc(vrabotenId);
     }
 
@@ -62,12 +60,12 @@
 
     @PutMapping({"/vraboten/{vrabotenId}"})
-    public Vraboten updateVraboten(@PathVariable int vrabotenId, @RequestBody AddUpdateVraboten vraboten) {
-        return this.vrabotenService.updateVraboten(vrabotenId,vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
+    public WorkerDemoParkingZones updateVraboten(@PathVariable int vrabotenId, @RequestBody AddUpdateWorker vraboten) {
+        return this.workerService.updateWorker(vrabotenId,vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
                 vraboten.getMobileNumber(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
     }
 
     @DeleteMapping({"/vraboten/{vrabotenId}"})
-    public Optional<Vraboten> deleteVraboten(@PathVariable int vrabotenId) {
-        return this.vrabotenService.deleteVraboten(vrabotenId);
+    public Optional<Worker> deleteVraboten(@PathVariable int vrabotenId) {
+        return this.workerService.deleteWorker(vrabotenId);
     }
 
Index: sources/app/src/main/java/parkup/data/AddUpdateWorker.java
===================================================================
--- sources/app/src/main/java/parkup/data/AddUpdateWorker.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
+++ sources/app/src/main/java/parkup/data/AddUpdateWorker.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -0,0 +1,102 @@
+package parkup.data;
+
+import parkup.data.enumarations.EmployeeStatus;
+
+import java.util.List;
+
+public class AddUpdateWorker {
+    String firstName;
+    String lastName;
+    String email;
+    String password;
+    String confirmPass;
+    List<String> parkingZones;
+    EmployeeStatus status;
+    String mobileNumber;
+    boolean locked;
+
+    public AddUpdateWorker(String firstName, String lastName, String email, String password, String confirmPass, List<String> parkingZones, EmployeeStatus status, String mobileNumber, boolean locked) {
+        this.firstName = firstName;
+        this.lastName = lastName;
+        this.email = email;
+        this.password = password;
+        this.confirmPass = confirmPass;
+        this.parkingZones = parkingZones;
+        this.status = status;
+        this.mobileNumber = mobileNumber;
+        this.locked = locked;
+    }
+
+    public String getFirstName() {
+        return firstName;
+    }
+
+    public void setFirstName(String firstName) {
+        this.firstName = firstName;
+    }
+
+    public String getLastName() {
+        return lastName;
+    }
+
+    public void setLastName(String lastName) {
+        this.lastName = lastName;
+    }
+
+    public String getEmail() {
+        return email;
+    }
+
+    public void setEmail(String email) {
+        this.email = email;
+    }
+
+    public String getPassword() {
+        return password;
+    }
+
+    public void setPassword(String password) {
+        this.password = password;
+    }
+
+    public String getConfirmPass() {
+        return confirmPass;
+    }
+
+    public void setConfirmPass(String confirmPass) {
+        this.confirmPass = confirmPass;
+    }
+
+    public List<String> getParkingZones() {
+        return parkingZones;
+    }
+
+    public void setParkingZones(List<String> parkingZones) {
+        this.parkingZones = parkingZones;
+    }
+
+    public EmployeeStatus getStatus() {
+        return status;
+    }
+
+    public void setStatus(EmployeeStatus status) {
+        this.status = status;
+    }
+
+    public String getMobileNumber() {
+        return mobileNumber;
+    }
+
+    public void setMobileNumber(String mobileNumber) {
+        this.mobileNumber = mobileNumber;
+    }
+
+    public boolean isLocked() {
+        return locked;
+    }
+
+    public void setLocked(boolean locked) {
+        this.locked = locked;
+    }
+}
+
Index: sources/app/src/main/java/parkup/data/Location.java
===================================================================
--- sources/app/src/main/java/parkup/data/Location.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/Location.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -19,29 +19,29 @@
     private int locationId;
 
-    private float longitude;
+    private float lng;
 
-    private float latitude;
+    private float lat;
 
     public Location(){}
 
-    public Location(float longtitude, float latitude) {
-        this.longitude = longtitude;
-        this.latitude = latitude;
+    public Location(float lng, float lat) {
+        this.lng = lng;
+        this.lat = lat;
     }
 
-    public float getLongitude() {
-        return longitude;
+    public float getLng() {
+        return lng;
     }
 
-    public void setLongitude(float longitude) {
-        this.longitude = longitude;
+    public void setLng(float lng) {
+        this.lng = lng;
     }
 
-    public float getLatitude() {
-        return latitude;
+    public float getLat() {
+        return lat;
     }
 
-    public void setLatitude(float latitude) {
-        this.latitude = latitude;
+    public void setLat(float lat) {
+        this.lat = lat;
     }
 }
Index: sources/app/src/main/java/parkup/data/ParkingZoneAdminView.java
===================================================================
--- sources/app/src/main/java/parkup/data/ParkingZoneAdminView.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/ParkingZoneAdminView.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -15,7 +15,7 @@
     private List<ParkingSpace> parkingSpaces;
     private ParkingZoneLocation parkingZoneLocation;
-    private List<Integer> odgovorniLica;
+    private List<Integer> responsibleWorkers;
 
-    public ParkingZoneAdminView(int pzId, String pzName, int price, int time_from, int time_to, String address, String color, List<ParkingSpace> parkingSpaces, ParkingZoneLocation parkingZoneLocation, List<Integer> odgovorniLica) {
+    public ParkingZoneAdminView(int pzId, String pzName, int price, int time_from, int time_to, String address, String color, List<ParkingSpace> parkingSpaces, ParkingZoneLocation parkingZoneLocation, List<Integer> responsibleWorkers) {
         this.pzId = pzId;
         this.pzName = pzName;
@@ -27,5 +27,5 @@
         this.parkingSpaces = parkingSpaces;
         this.parkingZoneLocation = parkingZoneLocation;
-        this.odgovorniLica = odgovorniLica;
+        this.responsibleWorkers = responsibleWorkers;
     }
 
@@ -104,10 +104,10 @@
     }
 
-    public List<Integer> getOdgovorniLica() {
-        return odgovorniLica;
+    public List<Integer> getResponsibleWorkers() {
+        return responsibleWorkers;
     }
 
-    public void setOdgovorniLica(List<Integer> odgovorniLica) {
-        this.odgovorniLica = odgovorniLica;
+    public void setResponsibleWorkers(List<Integer> responsibleWorkers) {
+        this.responsibleWorkers = responsibleWorkers;
     }
 }
Index: sources/app/src/main/java/parkup/data/ParkingZoneLocation.java
===================================================================
--- sources/app/src/main/java/parkup/data/ParkingZoneLocation.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/data/ParkingZoneLocation.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -24,15 +24,15 @@
 
     @OneToMany(cascade = {CascadeType.ALL})
-    private List<Location> teminja;
+    private List<Location> coords;
 
-    public ParkingZoneLocation(int parkingZoneLocationId, Location centre, List<Location> teminja) {
+    public ParkingZoneLocation(int parkingZoneLocationId, Location centre, List<Location> coords) {
         this.parkingZoneLocationId = parkingZoneLocationId;
         this.centre = centre;
-        this.teminja = teminja;
+        this.coords = coords;
     }
 
-    public ParkingZoneLocation(Location centre, List<Location> teminja) {
+    public ParkingZoneLocation(Location centre, List<Location> coords) {
         this.centre = centre;
-        this.teminja = teminja;
+        this.coords = coords;
     }
 
@@ -47,10 +47,10 @@
     }
 
-    public List<Location> getTeminja() {
-        return teminja;
+    public List<Location> getCoords() {
+        return coords;
     }
 
-    public void setTeminja(List<Location> teminja) {
-        this.teminja = teminja;
+    public void setCoords(List<Location> teminja) {
+        this.coords = teminja;
     }
 }
Index: sources/app/src/main/java/parkup/data/Plate.java
===================================================================
--- sources/app/src/main/java/parkup/data/Plate.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
+++ sources/app/src/main/java/parkup/data/Plate.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -0,0 +1,35 @@
+package parkup.data;
+
+import javax.persistence.*;
+
+@Entity
+public class Plate {
+    @Id
+    @SequenceGenerator(
+            name="plate_sequence_generator",
+            sequenceName = "plate_sequence",
+            allocationSize = 1,
+            initialValue = 1000
+    )
+    @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
+            strategy = GenerationType.SEQUENCE,
+            generator = "plate_sequence_generator"
+    )
+    private int plateId;
+
+    private String plate;
+
+    public Plate() {}
+
+    public Plate(String plate) {
+        this.plate = plate;
+    }
+
+    public String getPlate() {
+        return this.plate;
+    }
+
+    public void setPlate(String plate) {
+        this.plate = plate;
+    }
+}
Index: sources/app/src/main/java/parkup/data/WorkerDemo.java
===================================================================
--- sources/app/src/main/java/parkup/data/WorkerDemo.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
+++ sources/app/src/main/java/parkup/data/WorkerDemo.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -0,0 +1,50 @@
+package parkup.data;
+
+public class WorkerDemo {
+    private int workerId;
+    private String firstName;
+    private String lastName;
+    private String email;
+
+    public WorkerDemo() {}
+
+    public WorkerDemo(int id, String firstName, String lastName, String email) {
+        this.workerId =id;
+        this.firstName = firstName;
+        this.lastName = lastName;
+        this.email = email;
+    }
+
+    public int getWorkerId() {
+        return workerId;
+    }
+
+    public void setWorkerId(int workerId) {
+        this.workerId = workerId;
+    }
+
+    public String getFirstName() {
+        return firstName;
+    }
+
+    public void setFirstName(String firstName) {
+        this.firstName = firstName;
+    }
+
+    public String getLastName() {
+        return lastName;
+    }
+
+    public void setLastName(String lastName) {
+        this.lastName = lastName;
+    }
+
+    public String getEmail() {
+        return email;
+    }
+
+    public void setEmail(String email) {
+        this.email = email;
+    }
+}
+
Index: sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java
===================================================================
--- sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
+++ sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -0,0 +1,107 @@
+package parkup.data;
+
+import parkup.configs.PasswordEncoder;
+import parkup.data.enumarations.EmployeeStatus;
+import parkup.data.enumarations.UserRole;
+import parkup.entities.ParkingZone;
+import parkup.entities.Worker;
+
+import java.util.List;
+import java.util.stream.Collectors;
+
+public class WorkerDemoParkingZones {
+    private int workerId;
+    private String firstName;
+    private String lastName;
+    private String email;
+    private String password;
+    private String mobile;
+    private UserRole role;
+    private EmployeeStatus status;
+    private List<String> pzNames;
+    private PasswordEncoder passwordEncoder;
+
+    public WorkerDemoParkingZones(Worker v){
+        this.workerId = v.getWorkerId();
+        this.firstName = v.getFirstName();
+        this.lastName = v.getLastName();
+        this.email = v.getEmail();
+        this.password = v.getPassword();
+        this.mobile = v.getMobile();
+        this.role = v.getRole();
+        this.status = v.getStatus();
+        this.pzNames = v.getParkingZones().stream().map(ParkingZone::getPzName).collect(Collectors.toList());
+    }
+
+    public int getWorkerId() {
+        return workerId;
+    }
+
+    public void setWorkerId(int workerId) {
+        this.workerId = workerId;
+    }
+
+    public String getFirstName() {
+        return firstName;
+    }
+
+    public void setFirstName(String firstName) {
+        this.firstName = firstName;
+    }
+
+    public String getLastName() {
+        return lastName;
+    }
+
+    public void setLastName(String lastName) {
+        this.lastName = lastName;
+    }
+
+    public String getEmail() {
+        return email;
+    }
+
+    public void setEmail(String email) {
+        this.email = email;
+    }
+
+    public String getPassword() {
+        return password;
+    }
+
+    public void setPassword(String password) {
+        this.password = password;
+    }
+
+    public String getMobile() {
+        return mobile;
+    }
+
+    public void setMobile(String mobile) {
+        this.mobile = mobile;
+    }
+
+    public UserRole getRole() {
+        return role;
+    }
+
+    public void setRole(UserRole role) {
+        this.role = role;
+    }
+
+    public EmployeeStatus getStatus() {
+        return status;
+    }
+
+    public void setStatus(EmployeeStatus status) {
+        this.status = status;
+    }
+
+    public List<String> getPzNames() {
+        return pzNames;
+    }
+
+    public void setPzNames(List<String> pzNames) {
+        this.pzNames = pzNames;
+    }
+}
Index: sources/app/src/main/java/parkup/data/enumarations/UserRole.java
===================================================================
--- sources/app/src/main/java/parkup/data/enumarations/UserRole.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
+++ sources/app/src/main/java/parkup/data/enumarations/UserRole.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -0,0 +1,15 @@
+package parkup.data.enumarations;
+
+import org.springframework.security.core.GrantedAuthority;
+
+public enum UserRole implements GrantedAuthority {
+    GUEST,
+    REG_USER,
+    WORKER,
+    ADMIN;
+
+    @Override
+    public String getAuthority() {
+        return name();
+    }
+}
Index: sources/app/src/main/java/parkup/entities/Administrator.java
===================================================================
--- sources/app/src/main/java/parkup/entities/Administrator.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/entities/Administrator.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -4,4 +4,5 @@
 import org.springframework.security.core.authority.SimpleGrantedAuthority;
 import org.springframework.security.core.userdetails.UserDetails;
+import parkup.data.enumarations.UserRole;
 
 import javax.persistence.*;
@@ -41,6 +42,7 @@
     private String mobile;
 
+    @Enumerated
     @Column(name = "role")
-    private String role;
+    private UserRole role;
 
     private boolean locked;
@@ -49,5 +51,6 @@
 
     public Administrator(){
-        this.role = "ROLE_ADMINISTRATOR";
+        this.role = UserRole.ADMIN;
+        this.enabled=true;
     }
 
@@ -59,5 +62,6 @@
         this.password = password;
         this.mobile = mobile;
-        this.role = "ROLE_ADMINISTRATOR";
+        this.enabled=true;
+        this.role = UserRole.ADMIN;
     }
 
@@ -68,5 +72,6 @@
         this.password = password;
         this.mobile = mobile;
-        this.role = "ROLE_ADMINISTRATOR";
+        this.role = UserRole.ADMIN;
+        this.enabled=true;
     }
 
@@ -77,5 +82,6 @@
         this.password = password;
         this.mobile = mobile;
-        this.role = "ROLE_ADMINISTRATOR";
+        this.role = UserRole.ADMIN;
+        this.enabled=true;
     }
 
@@ -124,11 +130,11 @@
     }
 
-    public String getRole() {return role;}
+    public UserRole getRole() {return role;}
 
-    public void setRole(String role) {this.role = role;}
+    public void setRole(UserRole role) {this.role = role;}
 
     @Override
     public Collection<? extends GrantedAuthority> getAuthorities() {
-        SimpleGrantedAuthority authority = new SimpleGrantedAuthority(role);
+        SimpleGrantedAuthority authority = new SimpleGrantedAuthority(role.getAuthority());
         return Collections.singleton(authority);
     }
Index: sources/app/src/main/java/parkup/entities/Guest.java
===================================================================
--- sources/app/src/main/java/parkup/entities/Guest.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/entities/Guest.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -3,9 +3,16 @@
 import javax.persistence.*;
 
-import parkup.data.Tablicka;
+import org.springframework.security.core.GrantedAuthority;
+import org.springframework.security.core.authority.SimpleGrantedAuthority;
+import org.springframework.security.core.userdetails.UserDetails;
+import parkup.data.Plate;
+import parkup.data.enumarations.UserRole;
+
+import java.util.Collection;
+import java.util.Collections;
 
 @Entity
 @Table(name = "guest")
-public class Guest {
+public class Guest implements UserDetails {
     @Id
     @SequenceGenerator(
@@ -25,5 +32,5 @@
     @OneToOne
     @JoinColumn(name = "tablickaId", nullable = false)
-    private Tablicka tablicka;
+    private Plate plate;
 
     @Column(name = "email")
@@ -36,17 +43,23 @@
     private ParkingSession session;
 
-    public Guest() {}
+    @Enumerated
+    private UserRole role;
 
-    public Guest(int guestId, Tablicka tablicka, String email, String mobile) {
+
+    public Guest() {this.role=UserRole.GUEST;}
+
+    public Guest(int guestId, Plate plate, String email, String mobile) {
         this.guestId = guestId;
-        this.tablicka = tablicka;
+        this.plate = plate;
         this.email = email;
         this.mobile = mobile;
+        this.role=UserRole.GUEST;
     }
 
-    public Guest(Tablicka tablicka, String email, String mobile) {
-        this.tablicka = tablicka;
+    public Guest(Plate plate, String email, String mobile) {
+        this.plate = plate;
         this.email = email;
         this.mobile = mobile;
+        this.role=UserRole.GUEST;
     }
 
@@ -59,10 +72,10 @@
     }
 
-    public Tablicka getTablicka() {
-        return tablicka;
+    public Plate getTablicka() {
+        return plate;
     }
 
-    public void setTablicka(Tablicka tablicka) {
-        this.tablicka = tablicka;
+    public void setTablicka(Plate plate) {
+        this.plate = plate;
     }
 
@@ -75,4 +88,20 @@
     }
 
+    public ParkingSession getSession() {
+        return session;
+    }
+
+    public void setSession(ParkingSession session) {
+        this.session = session;
+    }
+
+    public UserRole getRole() {
+        return role;
+    }
+
+    public void setRole(UserRole role) {
+        this.role = role;
+    }
+
     public String getMobile() {
         return mobile;
@@ -82,3 +111,39 @@
         this.mobile = mobile;
     }
+
+    @Override
+    public Collection<? extends GrantedAuthority> getAuthorities() {
+        SimpleGrantedAuthority authority = new SimpleGrantedAuthority(role.name());
+        return Collections.singleton(authority);
+    }
+
+    @Override
+    public String getPassword() {
+        return null;
+    }
+
+    @Override
+    public String getUsername() {
+        return Integer.toString(guestId);
+    }
+
+    @Override
+    public boolean isAccountNonExpired() {
+        return false;
+    }
+
+    @Override
+    public boolean isAccountNonLocked() {
+        return false;
+    }
+
+    @Override
+    public boolean isCredentialsNonExpired() {
+        return false;
+    }
+
+    @Override
+    public boolean isEnabled() {
+        return false;
+    }
 }
Index: sources/app/src/main/java/parkup/entities/ParkingSession.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingSession.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/entities/ParkingSession.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -2,5 +2,5 @@
 
 import org.springframework.format.annotation.DateTimeFormat;
-import parkup.data.Tablicka;
+import parkup.data.Plate;
 import parkup.data.enumarations.SessionStatus;
 
@@ -34,6 +34,6 @@
 
     @OneToOne(cascade = {CascadeType.ALL})
-    @JoinColumn(name = "reg_tablicka", nullable = false)
-    private Tablicka tablica;
+    @JoinColumn(name = "plate", nullable = false)
+    private Plate plate;
 
     @Column(name="session_status")
@@ -60,8 +60,8 @@
     }
 
-    public ParkingSession(Tablicka tablica){
+    public ParkingSession(Plate plate){
         this.timeStart= LocalDateTime.now();
         this.timeEnd=null;
-        this.tablica=tablica;
+        this.plate=plate;
         this.status=SessionStatus.STARTED_UNVERIFIED;
     }
@@ -92,10 +92,10 @@
     }
 
-    public Tablicka getTablica() {
-        return tablica;
+    public Plate getPlate() {
+        return plate;
     }
 
-    public void setTablica(Tablicka tablica) {
-        this.tablica = tablica;
+    public void setPlate(Plate plate) {
+        this.plate = plate;
     }
 
Index: sources/app/src/main/java/parkup/entities/ParkingZone.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 9ff45d65e1d0058eb0c79395ba62a726630c2daa)
+++ sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 9dd526f0ddf9a23ad37dd4c977f761ff959f5913)
@@ -43,5 +43,5 @@
 
     @Transient
-    @Column(name = "zafateniMesta")
+    @Column(name = "takenSpaces")
     private int takenSpaces;
 
@@ -52,5 +52,5 @@
 //    private List<Vraboten> odgovorniLica;
 
-    @OneToMany(cascade = {CascadeType.MERGE})
+    @OneToMany(cascade = {CascadeType.ALL})
     private List<ParkingSpace> parkingSpaces;
 
